/*
 * Copyright 2005-2006 Myriad Genetics, Inc.
 *
 * All rights reserved.
 */

#ifndef _H_TWO_POINT_
#define _H_TWO_POINT_

#ifdef __cplusplus
extern "C" {
#endif

#include "genmap.h"

/* The first version is the most general. The second and third are specialized
   versions for unphased and phased data respectively.
 */
double compute2Pt(marker_t *, marker_t *, int numInds, int twists,
                  double initialTheta, double *pLod);
double compute2PtUnphased(marker_t *, marker_t *, int numInds, int twists,
                          double *pLod);
double compute2PtPhased(marker_t *, marker_t *, int numInds, double *pLod);

#ifdef __cplusplus
}
#endif

#endif
